Loading...
Searching...
No Matches
Magick::Coordinate Class Reference

## Public Member Functions

| Coordinate (double x_, double y_)
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x
double | _y

## Detailed Description

Definition at line 48 of file Drawable.h.

## Constructor & Destructor Documentation

## Coordinate() [1/2]

Magick::Coordinate::Coordinate | ( | void |  | ) |

inline

Definition at line 52 of file Drawable.h.

: _x(0),
_y(0) {}

## Coordinate() [2/2]

Magick::Coordinate::Coordinate | ( | double | x_,
|  | double | y_ )

inline

Definition at line 56 of file Drawable.h.

: _x(x_),
_y(y_) {}

## ~Coordinate()

virtual Magick::Coordinate::~Coordinate | ( |  | ) |

inline virtual

Definition at line 60 of file Drawable.h.

{}

## Member Function Documentation

## x() [1/2]

void Magick::Coordinate::x | ( | double | x_ | ) |

inline

Definition at line 62 of file Drawable.h.

{ _x=x_; }

## x() [2/2]

double Magick::Coordinate::x | ( | void |  | ) | const

inline

Definition at line 63 of file Drawable.h.

{ return _x; }

## y() [1/2]

void Magick::Coordinate::y | ( | double | y_ | ) |

inline

Definition at line 65 of file Drawable.h.

{ _y=y_; }

## y() [2/2]

double Magick::Coordinate::y | ( | void |  | ) | const

inline

Definition at line 66 of file Drawable.h.

{ return _y; }

## Field Documentation

## _x

double Magick::Coordinate::_x

private

Definition at line 69 of file Drawable.h.

## _y

double Magick::Coordinate::_y

private

Definition at line 70 of file Drawable.h.

The documentation for this class was generated from the following file:

- Drawable.h